# Interface methods for submodule: LaplacianSharpeningImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: LaplacianSharpeningImageFilter
class LaplacianSharpeningImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

	def SetUseImageSpacing(self, _arg: bool) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

